Downgrade

Материал из ALT Linux Wiki
Версия от 21:16, 28 января 2010; MichaelShigorin (обсуждение | вклад) (init)
(разн.) ← Предыдущая версия | Текущая версия (разн.) | Следующая версия → (разн.)
Перейти к навигации Перейти к поиску

Для отката, например, с Sisyphus на 5.1/branch может пригодиться следующее:

  1. убрать из /etc/apt/sources.list и /etc/apt/sources.list.d/*.list все раскомментированные строчки про Sisyphus;
  2. прописать репозитории 5.1/branch (две строчки — для своей архитектуры и noarch);
  3. создать /etc/apt/preferences следующего вида:
Package: *
Pin: release c=classic
Pin-Priority: 1001

Теперь можно пробовать apt-get update; apt-get dist-upgrade — но стоит помнить, что откат версий не является обычно тестируемой майнтейнерами операцией.

Решение проблем

Если конкретно при возвращении на M51 увидите подобную ошибку:

file /lib/mkinitrd/udev/lib/udev/vol_id from install
of udev-initramfs-141-alt11 conflicts with file
from package util-linux-initramfs-2.16.1-alt3
E: Error while running transaction

то перед apt-get dist-upgrade придётся вручную провести замену этого пакета:

apt-get install udev-initramfs util-linux-initramfs-